osl::effect_util::Offset8 Struct Reference

`#include <sendOffSquare.h>`

Inheritance diagram for osl::effect_util::Offset8:

## Additional Inherited Members

Public Types inherited from osl::FixedCapacityVector< int, 8 >
typedef array_t::value_type | value_type
typedef array_t::iterator | iterator
typedef array_t::const_iterator | const_iterator
Public Member Functions inherited from osl::FixedCapacityVector< int, 8 >
| FixedCapacityVector ()
| FixedCapacityVector (size_t size)
| FixedCapacityVector (FixedCapacityVector const &rhs)
| FixedCapacityVector (const RangeIterator &first, const RangeIterator &last)
| ~FixedCapacityVector ()
FixedCapacityVector & | operator= (FixedCapacityVector const &rhs)
int & | operator[] (size_t i)
iterator | begin ()
iterator | end ()
int & | front ()
int & | back ()
void | push_back (const int &e)
void | push_back (const RangeIterator &first, const RangeIterator &last)
void | pop_back ()
void | clear ()
void | resize (size_t new_length)
void | erase (const int &e)
void | unique ()
| 重複する要素を取り除く
size_t | size () const
bool | empty () const
size_t | capacity () const
int const & | operator[] (size_t i) const
const_iterator | begin () const
const_iterator | end () const
const int & | front () const
const int & | back () const
bool | isMember (const int &e, const_iterator first, const_iterator last) const
bool | isMember (const int &e) const
detail::FixedCapacityVectorPushBack< int > | pushBackHelper ()
Protected Types inherited from osl::FixedCapacityVector< int, 8 >
typedef Array | array_t
Protected Attributes inherited from osl::FixedCapacityVector< int, 8 >
int * | ptr
CArray< int64_t,(sizeof(int[Capacity])+sizeof(int64_t) -1)/sizeof(int64_t)> | relements

## Detailed Description

Definition at line 12 of file sendOffSquare.h.

The documentation for this struct was generated from the following file:

- sendOffSquare.h